package com.ssj.service.kmt.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class ExerciseConditionRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "subject", value = "科目", required = false)
    private String  subject;

    @ApiModelProperty(name = "versionType", value = "版本类别, 如语文1北师大版，2人教版", required = false)
    private int  versionType;

    @ApiModelProperty(name = "grade", value = "年级，一年级", required = false)
    private String  grade;

    @ApiModelProperty(name = "semester", value = "上下册，1上册，2下册", required = false)
    private int  semester;

    @ApiModelProperty(name = "dealType", value = "0未知， 1加工，2审核, 4解析", required = true)
    private int dealType;

    @ApiModelProperty(name = "bookName", value = "搜索的练习册名称", required = false)
    private String  bookName;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getVersionType() {
        return versionType;
    }

    public void setVersionType(int versionType) {
        this.versionType = versionType;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    public int getDealType() {
        return dealType;
    }

    public void setDealType(int dealType) {
        this.dealType = dealType;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }
}
